Unit tzf20r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF20R_p, ZF20R_p;

function tzf20r: String; 

implementation

function tzf20r: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Real;
begin
Result := '';
A := -2.57;
B := 1.57;
EPS := 1.E-5;
ITMAX := 30;
ZF20R(FZF20R,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF20RR.elm1,IERR])
+ #$0D#$0A;
UtRes('tzf20r',Result);  //    tzf20r.res
exit;
end;

end.
